<?php
namespace FiloBlu\Flow\Model\Channel\In;


class Ite extends AbstractModel {
    
    /**
    * @var Monolog\Logger
    */
    protected $_logger;

    public function __construct(
             \FiloBlu\Flow\Helper\LoggerProvider $_loggerProvider 
    ) {
        $this->_logger = $_loggerProvider->getLogger();
        $this->init('ite');
    }

    public function insertData($data) {

        // Genero il FLusso ITEMS

        $flow = $this->getFile()->getData('flow');
        $model =  \Magento\Framework\App\ObjectManager::getInstance()->create('FiloBlu\Flow\Model' . "\\" . $flow);

        if (!$model)
            return false;

        $model->setData('meta_file',$this->getFile()->getId());
        //set fascia iva articoli da configurazione
        $model->setData('fascia_iva_articoli','STD');
        $model->setData('meta_processed',0);
        foreach($data as $field => $value){
            $fieldMap = $this->map->get($field);
            if(!isset($fieldMap["skip"])) {
                $to_field = $fieldMap["to"];
                $model->setData("$to_field","$value");
            }
        }
        $model->save();
    }

}