<?php
namespace FiloBlu\Flow\Model\Filters;


class Categories extends AbstractFilter {


    public function filter($value,$args){

        $fields = $args['position'];
        if (!isset($fields) || count($fields)==0 || !$fields) return '';

        $category = '';

        foreach ($fields as $field) {
            if (is_numeric($field)) {
                $nodeCategory = trim($this->_row[$field]);
                if ($nodeCategory) {
                    $category .= strtoupper(trim($this->_row[$field])) . '/';
                }
            }
        }

        $value = strtoupper(trim($value));
        $category .= $value;

        return $category;
    }

    /* CategoryIdByName */
    /*
     public function filter($value, $args)
    {
        $category = Mage::getModel('catalog/category');
        $urlKey = $category->formatUrlKey($value);
        $category = $category ->getCollection()
            ->addAttributeToSelect('entity_id')
            ->addAttributeToFilter('url_key', $urlKey)
            ->getFirstItem();
        if($category->getId()){
            return $category->getId();
        }
        return '';
    }
    */



}
